Package org.eclipse.mat.report.internal

# Class Parameters.Deep

java.lang.Object
org.eclipse.mat.report.internal.Parameters
org.eclipse.mat.report.internal.Parameters.Deep

Enclosing class:
  `Parameters`

public static final class Parameters.Deep extends Parameters

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.mat.report.internal.Parameters

`Parameters.Deep`

## Constructor Summary

Constructors
Constructor
Description
`Deep(Map<String,String> map)`
`Deep(Parameters parent, Map<String,String> map)`
`Deep(Parameters parent, Parameters map)`

## Method Summary

Modifier and Type
Method
Description
`String`
`get(String key, String defaultValue)`
`void`
`put(String key, String value)`
`void`
`putAll(Map<String,String> params)`
`Parameters`
`shallow()`

### Methods inherited from class org.eclipse.mat.report.internal.Parameters

`expand, get, getBoolean, getInt, getStringArray`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Deep

public Deep(Parameters parent, Map<String,String> map)

### Deep

public Deep(Parameters parent, Parameters map)

### Deep

public Deep(Map<String,String> map)

## Method Details

### get

public String get(String key, String defaultValue)

Specified by:
  `get` in class `Parameters`

### putAll

public void putAll(Map<String,String> params)

Specified by:
  `putAll` in class `Parameters`

### put

public void put(String key, String value)

Specified by:
  `put` in class `Parameters`

### shallow

public Parameters shallow()

Specified by:
  `shallow` in class `Parameters`